package com.muyu.edition.domain.resp;

import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AnduserQueryResp", description = "测试查询")
public class AnduserQueryResp extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    @ApiModelProperty(name = "名称", value = "名称")
    private String name;
    /**
     * 性别
     */
    @ApiModelProperty(name = "性别", value = "性别")
    private String sex;
    /**
     * 年龄
     */
    @ApiModelProperty(name = "年龄", value = "年龄")
    private Integer age;
}
