package com.muyu.edition.service.impl;

import com.muyu.edition.domain.Cope;
import com.muyu.edition.mapper.CopeMapper;
import com.muyu.edition.service.CopeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

@Service
public class CopeServiceImpl implements CopeService {
    @Autowired
    private CopeMapper mapper;

    @Override
    public List<Cope> list() {
        return mapper.list();
    }

    @Override
    public List<Cope> list2() {
        return list().stream().collect(Collectors.toList());
    }

    @Override
    public List<Cope> selType(String name) {
        Stream<Cope> copeStream = list().stream().filter(c -> c.getType().equals(name));
        return copeStream.collect(Collectors.toList());
    }

    @Override
    public List<Cope> selObject(Cope cope) {
        System.out.println(cope);
        List<Cope> collect = new ArrayList<>();
        List<Cope> collect1 = new ArrayList<>();
        if (cope.getType() != null && cope.getType() != "") {
            collect = list().stream().filter(c -> c.getType().equals(cope.getType())).collect(Collectors.toList());
        } else {
            collect = list();
        }
        if (cope.getVal() != null && cope.getVal() != "") {
            collect1 = list().stream().filter(c -> c.getVal().contains(cope.getVal())).collect(Collectors.toList());
        } else {
            collect1 = list();
        }
        List<Cope> copes = new ArrayList<>();
        for (Cope cope1 : collect) {
            for (Cope cope2 : collect1) {
                if (cope1.equals(cope2)) {
                    copes.add(cope1);
                }
            }
        }
        System.out.println(copes);
        return copes;
    }
}
