package com.muyu.system.mapper;

import com.muyu.system.domain.ListStructure;
import com.muyu.system.domain.Middle;
import com.muyu.system.domain.TableList;
import com.muyu.system.domain.UserMiddle;
import com.muyu.system.domain.table.TableShow;
import com.muyu.system.domain.vo.FrimaryVo;
import com.muyu.system.domain.vo.TableVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AccreditMapper {
    List<TableList> tableNameList(@Param("databaseName") String databaseName);


    String database();

    List<TableVo> selectTableXml(@Param("database") String database, @Param("tableName") String tableName);

    List<String> tableNameList2();

    int getNameSelTable(@Param("s") String s);

    void indexTableName(@Param("databaseName") String databaseName, @Param("s") String s);


    void insertListStructure(ListStructure listStructure);


    List<ListStructure> listListstructure();

    TableList selNameTableList(@Param("databaseName") String databaseName, @Param("name") String name);

    List<ListStructure> selNameListStructure(@Param("tableName") String tableName, @Param("databaseName") String databaseName);

    int selectOneTableList(@Param("databaseName") String databaseName, @Param("s") String s);

    int selectOneSqlJdbc(@Param("databaseName") String databaseName, @Param("s") String s);

    Integer updateListStructure(ListStructure listStructure);

    List<FrimaryVo> selectFrimary();

    Integer selectOneListStructure(ListStructure listStructure);

    void delListStructure(@Param("databaseName") String databaseName);

    void delOneTableList(@Param("databaseName") String databaseName, @Param("s") String s);

    List<Middle> listMiddle(@Param("tableName") String tableName, @Param("databaseName") String databaseName);

    List<UserMiddle> listUserMiddle(@Param("tableName") String tableName, @Param("databaseName") String databaseName);

    List<UserMiddle> listUserMiddle2(@Param("databaseName") String databaseName);

    Integer updateMiddle(@Param("mid") Integer mid, @Param("statusId") String statusId);

    Integer updateUserMiddle(@Param("mid") Integer mid, @Param("statusId") String statusId);


    List<Middle> listMiddle2(@Param("databaseName") String databaseName);

    void indexTableShow(@Param("s") String s, @Param("columnClassName") String columnClassName, @Param("val") String val);

    void deleteTableShow(@Param("name") String name);

    List<TableShow> selectShow(@Param("tableName") String tableName);

    Integer selectOneFrimary();

    Integer selectOneTableListNum();

    List<TableList> selectTableList();
}
