package com.muyu.system.service;

import com.muyu.common.core.domain.Result;
import com.muyu.system.domain.*;
import com.muyu.system.domain.table.TableShow;
import com.muyu.system.domain.table.ToTalNum;
import com.muyu.system.domain.vo.FrimaryVo;
import com.muyu.system.domain.vo.TableVo;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

public interface AccreditService {
    List<TableList> tableNameList(String databaseName);

    List<TableVo> selectTableXml(String tableName);

    List<String> tableNameList2() throws SQLException;

    Result listSqlJdbc(Connection connection, String tableName) throws SQLException;

    List<ListStructure> listListstructure();

    TableList selNameTableList(String databaseName, String name);

    List<ListStructure> selNameListStructure(String tableName, String databaseName);

    Integer updateListStructure(ListStructure listStructure);

    Integer selJDBCStream(DataAccess dataAccess);


    List<FrimaryVo> selectFrimary();

    List<Middle> listMiddle(String tableName, String databaseName);

    List<Middle> listMiddle2(String databaseName);

    List<UserMiddle> listUserMiddle(String tableName, String databaseName);

    List<UserMiddle> listUserMiddle2(String databaseName);

    Integer updateMiddle(Integer mid, String statusId);

    Integer updateUserMiddle(Integer mid, String statusId);

    List<TableShow> selectShow(String tableName);

    Integer selJDBCStream2(DataAccess dataAccess);

    ToTalNum selTotalNum();
}
