package com.muyu.edition.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 规则引擎对象 rule_engine
 *
 * @author goods
 * @date 2024-05-02
 */
public class RuleEngine extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long ruleId;

    /**
     * 规则名称
     */
    @Excel(name = "规则名称")
    private String ruleName;

    /**
     * 引擎编码
     */
    @Excel(name = "引擎编码")
    private String ruleCode;

    /**
     * 规则级别
     */
    @Excel(name = "规则级别")
    private Integer ruleLevel;

    /**
     * 规则类型
     */
    @Excel(name = "规则类型")
    private Integer ruleType;

    /**
     * 是否激活
     */
    @Excel(name = "是否激活")
    private String ruleIsActivate;

    /**
     * 规则状态
     */
    @Excel(name = "规则状态")
    private String ruleStatus;

    /**
     * 规则描述
     */
    @Excel(name = "规则描述")
    private String description;

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public String getRuleCode() {
        return ruleCode;
    }

    public void setRuleCode(String ruleCode) {
        this.ruleCode = ruleCode;
    }

    public Integer getRuleLevel() {
        return ruleLevel;
    }

    public void setRuleLevel(Integer ruleLevel) {
        this.ruleLevel = ruleLevel;
    }

    public Integer getRuleType() {
        return ruleType;
    }

    public void setRuleType(Integer ruleType) {
        this.ruleType = ruleType;
    }

    public String getRuleIsActivate() {
        return ruleIsActivate;
    }

    public void setRuleIsActivate(String ruleIsActivate) {
        this.ruleIsActivate = ruleIsActivate;
    }

    public String getRuleStatus() {
        return ruleStatus;
    }

    public void setRuleStatus(String ruleStatus) {
        this.ruleStatus = ruleStatus;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("ruleId", getRuleId())
                .append("ruleName", getRuleName())
                .append("ruleCode", getRuleCode())
                .append("ruleLevel", getRuleLevel())
                .append("ruleType", getRuleType())
                .append("ruleIsActivate", getRuleIsActivate())
                .append("ruleStatus", getRuleStatus())
                .append("description", getDescription())
                .append("remark", getRemark())
                .toString();
    }
}
