package com.muyu.system.domain;

import lombok.Data;

@Data
public class DictData {
    /**
     * 字典编码
     */
    private Long dictCode;
    /**
     * 字典标签
     */
    private String dictLabel;
    /**
     * 字典键值
     */
    private String dictValue;
    /**
     * 字典类型
     */
    private String dictType;
    /**
     * 样式属性（其他样式扩展）
     */
    private String cssClass;
    /**
     * 表格回显样式
     */
    private String listClass;
    /**
     * 备注
     */
    private String remark;

    private Boolean isEdit = false;

}
