package com.muyu.system.domain;

import lombok.Data;

@Data
public class ListStructure {
    /**
     * 数据库名
     */
    private String catalogName;
    /**
     * 表名
     */
    private String tableName;
    /**
     * java类型
     */
    private String columnLassName;
    /**
     * 映射类型
     */
    private String columnTypeName;
    /**
     * 字段名称
     */
    private String columnName;

    /**
     * 长度
     */
    private Integer precisions;
    /**
     * 小数
     */
    private Integer scale;
    /**
     * 非空
     */
    private Integer isNull;
    /**
     * 默认
     */
    private String schemaName;
    /**
     * 注解
     */
    private String columnComments;
    /**
     * 是否字典
     */
    private String yesOrNo;
    /**
     * 对应字典
     */
    private String dictionary;
}
