package com.muyu.system.domain;

import lombok.Data;

@Data
public class UserMiddle {
    /**
     * 主键
     */
    private Integer mid;
    /**
     * 接入主键
     */
    private Integer id;
    /**
     * 对应数据库名
     */
    private String databaseName;
    /**
     * 对应表名
     */
    private String tableName;
    /**
     * 用户名主键
     */
    private Integer userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 用户昵称
     */
    private String nickName;
    /**
     * 用户部门
     */
    private String deptName;
    /**
     * 用户邮箱
     */
    private String email;
    /**
     * 用户手机号
     */
    private String phonenumber;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 状态
     */
    private String statusId;
}
