package com.muyu.system.domain.vo;

import com.muyu.system.domain.TableList;
import lombok.Data;

import java.util.List;

@Data
public class FrimaryVo {
    /**
     * 对接主键
     */
    private Long id;
    /**
     * 接入名称
     */
    private String name;
    /**
     * 系统名称
     */
    private String systemName;
    /**
     * 数据库名称
     */
    private String databaseName;
    /**
     * 表数量
     */
    private Integer tableNameNum;
    /**
     * 总数数据
     */
    private Integer dataTotal;
    /**
     * 状态
     */
    private String type;
    /**
     * 子表
     */
    private List<TableList> tableLists;
}
