package com.muyu.system.domain.vo;

import lombok.Data;

@Data
public class TableVo {
    /**
     * 表目录
     */
    private String tableCatalog;
    /**
     * 表模式
     */
    private String tableSchema;
    /**
     * 表名
     */
    private String tableName;
    /**
     * 列名
     */
    private String columnName;
    /**
     * 序号位置
     */
    private String ordinalPosition;
    /**
     * 默认值
     */
    private String columnDefault;
    /**
     * 是否为空
     */
    private String isNullable;
    /**
     * 类型
     */
    private String dataType;
    /**
     * 字符最大长度
     */
    private String characterMaximumLength;
    /**
     * 字符八位长度
     */
    private String characterOctetLength;
    /**
     * 数值精度
     */
    private String numericPrecision;
    /**
     * 数值范围
     */
    private String numericScale;
    /**
     * 精度
     */
    private String datetimePrecision;
    /**
     * 字符集名称
     */
    private String characterSetName;
    /**
     * 排序规则名
     */
    private String collationName;
    /**
     * 映射类型
     */
    private String columnType;
    /**
     * 列键
     */
    private String columnKey;
    /**
     * 额外的
     */
    private String extra;
    /**
     * 特权
     */
    private String privileges;
    /**
     * 备注
     */
    private String columnComment;
    /**
     * 表达式
     */
    private String generationExpressio;
}
